libspring-security-core-2.0-java_2.0.7.RELEASE-3_all.deb


Advertisement

Description

libspring-security-core-2.0-java - modular Java/J2EE application security framework - Core

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libspring-security-core-2.0-java
Package version: 2.0.7.RELEASE
Package release: 3
Package architecture: all
Package type: deb
Installed size: 770 B
Download size: 638.86 KB
Official Mirror: ftp.br.debian.org
Spring Security is a Java/Java EE framework that provides advanced authentication, authorization and other comprehensive security features for enterprise applications. In addition to having a comprehensive list of security functionality, Spring Security is very configurable and employs the Spring Framework for configuration, it allows for reuse and portability of security components, and it can also be used with non-Spring applications. Spring Security currently supports authentication integration with these technologies: - HTTP BASIC authentication headers. - HTTP Digest authentication headers. - HTTP X.509 client certificate exchange. - LDAP. - Form-based authentication - Transparent authentication context propagation for Remote Method Invocation (RMI) and HttpInvoker (a Spring remoting protocol). - Automatic "remember-me" authentication. - Anonymous authentication. - Run-as authentication. - Java Authentication and Authorization Service (JAAS) - Container integration with JBoss, Jetty, Resin and Tomcat. This package provides spring-security-core.jar and spring-security-core-tiger.jar: Core framework functionality.

    Download

    Source package: libspring-security-2.0-java

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libspring-security-core-2.0-java deb package:
      # sudo apt-get install libspring-security-core-2.0-java

    Files

    • /usr/share/doc/libspring-security-core-2.0-java/README.Debian
    • /usr/share/doc/libspring-security-core-2.0-java/changelog.Debian.gz
    • /usr/share/doc/libspring-security-core-2.0-java/copyright
    • /usr/share/java/spring-security-core-2.0.7.RELEASE.jar
    • /usr/share/java/spring-security-core-tiger-2.0.7.RELEASE.jar
    • /usr/share/java/spring-security-core-tiger.jar
    • /usr/share/java/spring-security-core.jar

    Changelog

    2014-09-22 - Emmanuel Bourg <ebourg@apache.org> libspring-security-2.0-java (2.0.7.RELEASE-3) unstable; urgency=medium * Team upload. * Build depend on libtomcat8-java instead of libjboss-ejb3x-java to provide the javax.annotation.security annotations. * Transition to the Servlet API 3.1 * Switch to debhelper level 9 * Standards-Version updated to 3.9.6 (no changes)

    2013-09-10 - Emmanuel Bourg <ebourg@apache.org> libspring-security-2.0-java (2.0.7.RELEASE-2) unstable; urgency=low * Team upload * debian/control: - Use canonical URLs for the Vcs-* fields - Updated Standards-Version to 3.9.4 (no changes) - Removed the deprecated DM-Upload-Allowed flag - Wrap and sort * Generate Java 6 compatible bytecode * Transition to libcommons-collections3-java

    2012-06-15 - Miguel Landaeta <miguel@miguel.cc> libspring-security-2.0-java (2.0.7.RELEASE-1) unstable; urgency=low * New upstream release. (Closes: #670901). * Bump Standards-Version to 3.9.3. No changes were required.

    2012-02-04 - Miguel Landaeta <miguel@miguel.cc> libspring-security-2.0-java (2.0.6.RELEASE-4) unstable; urgency=low * Fix silly typo with dependency on libspring-web-java.

    2012-02-03 - Miguel Landaeta <miguel@miguel.cc> libspring-security-2.0-java (2.0.6.RELEASE-3) unstable; urgency=low * Replace dependencies on Spring Framework 2.5 libraries with 3.0 ones.

    2012-01-14 - Miguel Landaeta <miguel@miguel.cc> libspring-security-2.0-java (2.0.6.RELEASE-2) unstable; urgency=low [Miguel Landaeta] * Fix FTBFS by switching to libservlet2.5-java and updating library paths. (Closes: #655821). * Bump Standards-Version to 3.9.2. No changes were required. [tony mancill] * Set DMUA flag.

    2010-11-11 - Miguel Landaeta <miguel@miguel.cc> libspring-security-2.0-java (2.0.6.RELEASE-1) unstable; urgency=low * New upstream release. * Fix typo with libspring-security-2.0-java-doc Suggests field. * Bump Standards-Version to 3.9.1. No changes were required. * Update dates in debian/copyright.

    2010-05-02 - Miguel Landaeta <miguel@miguel.cc> libspring-security-2.0-java (2.0.5.RELEASE-1) unstable; urgency=low * Initial release (Closes: #577469),

    Advertisement
    Advertisement